Akismet Error #10011

Subscription Upgrade Required

Why am I receiving this error?

We have detected that your current subscription is not appropriate for your current usage of Akismet. We attempted to contact you via email regarding the problem as well. Please be sure to contact us within two weeks of receiving this notice. Otherwise, at that time your API Key will be suspended.

Which subscription should I choose?

Based on the high volume of API usage under your account, you will need to contact our support staff where we'll advise you on the proper plan for your needs.

What if an agency or studio set everything up?

You can contact the folks who helped you get up and running, and let them know that their Akismet API key needs to be upgraded. Or - simply choose to register your own subscription and activate the Akismet plugin using your new API key.

Can I just de-activate Akismet?

Yes. If you are currently using our WordPress plugin, go to the Plugins menu in your dashboard and click on the “Deactivate” link found directly under “Akismet.” If you happen to be using a different client, please refer to its documentation regarding deactivation. Note that your site(s) will then be left unprotected from spam, which is not recommended.